# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KExecMimeType Class Reference

The mime type for executable files. MimeType for any executable, like /bin/ls. More...

`#include <kmimetype.h>`

Inheritance diagram for KExecMimeType:

[legend]
Collaboration diagram for KExecMimeType:

[legend]
List of all members.

## Public Member Functions

| KExecMimeType (KDesktopFile *config)
| KExecMimeType (QDataStream &_str, int offset)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

The mime type for executable files. MimeType for any executable, like /bin/ls.

Definition at line 613 of file kmimetype.h.

## Constructor & Destructor Documentation

KExecMimeType::KExecMimeType | ( | KDesktopFile * | config | ) | `[inline]`

Construct a executable mimetype and take all information from a desktop file.

Parameters:

  | config | the desktop configuration file that describes the mime type

Definition at line 625 of file kmimetype.h.

The documentation for this class was generated from the following files:

- kmimetype.h
- kmimetype.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:34 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003